## golang-github-bradfitz-http2 0.0~git20150509

=== h2demo/Makefile ===
h2demo.linux: h2demo.go
	GOOS=linux go build --tags=h2demo -o h2demo.linux .

upload: h2demo.linux
	cat h2demo.linux | go run launch.go --write_object=http2-demo-server-tls/h2demo --write_object_is_public

=== debian/changelog ===
golang-github-bradfitz-http2 (0.0~git20150509-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL
  * Remove Built-Using from arch:all -dev package

  [ Michael Stapelberg ]
  * Switch to XS-Go-Import-Path
  * Fix Vcs-* tags

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 08 Feb 2018 09:38:18 +0100

golang-github-bradfitz-http2 (0.0~git20150509-1) unstable; urgency=medium

  * Initial release (Closes: #789547)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 22 Jun 2015 19:53:34 +0200

=== debian/control ===
Source: golang-github-bradfitz-http2
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-go.crypto-dev (>= 1:0.0~git20150608)
Standards-Version: 3.9.6
Homepage: https://github.com/bradfitz/http2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-bradfitz-http2.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-bradfitz-http2.git
XS-Go-Import-Path: github.com/bradfitz/http2

Package: golang-github-bradfitz-http2-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-go.crypto-dev (>= 1:0.0~git20150608)
Description: HTTP/2 support for Go
 This is a work-in-progress HTTP/2 implementation for Go.
 .
 It will eventually live in the Go standard library and won't require
 any changes to your code to use.  It will just be automatic.
 .
 Status:
 .
  * The server support is pretty good. A few things are missing
    but are being worked on.
  * The client work has just started but shares a lot of code
    is coming along much quicker.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install $@
	rm -rf debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/h2demo/
	rm debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/CONTRIBUTORS
	rm debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/AUTHORS
	rm debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/Dockerfile
	rm debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/HACKING
	rm debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/LICENSE
	rm debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/README
	rm debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/Makefile
	# h2i is currently not packaged as it is described as a “quick few hour hack” in its README.md.
	rm -rf debian/golang-github-bradfitz-http2-dev/usr/share/gocode/src/github.com/bradfitz/http2/h2i/
	rm -rf debian/golang-github-bradfitz-http2-dev/usr/bin
